Cgl 0.59.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Member Functions | Private Attributes | List of all members
CoinSearchTree< Comp > Class Template Reference

`#include <CoinSearchTree.hpp>`

Inheritance diagram for CoinSearchTree< Comp >:
[legend]
Collaboration diagram for CoinSearchTree< Comp >:
[legend]

## Public Member Functions
| CoinSearchTree ()
| CoinSearchTree (const CoinSearchTreeBase &t)
virtual | ~CoinSearchTree ()
const char * | compName () const
Public Member Functions inherited from CoinSearchTreeBase
virtual | ~CoinSearchTreeBase ()
const std::vector < CoinTreeSiblings * > & | getCandidates () const
bool | empty () const
int | size () const
int | numInserted () const
CoinTreeNode * | top () const
void | pop ()
| pop will advance the `next` pointer among the siblings on the top and then moves the top to its correct position. More...
void | push (int numNodes, CoinTreeNode **nodes, const bool incrInserted=true)
void | push (const CoinTreeSiblings &sib, const bool incrInserted=true)

## Protected Member Functions
virtual void | realpop ()
virtual void | fixTop ()
| After changing data in the top node, fix the heap. More...
virtual void | realpush (CoinTreeSiblings *s)
Protected Member Functions inherited from CoinSearchTreeBase
| CoinSearchTreeBase ()

## Private Attributes
Comp | comp_

## Additional Inherited Members
Protected Attributes inherited from CoinSearchTreeBase
std::vector< CoinTreeSiblings * > | candidateList_
int | numInserted_
int | size_

## Detailed Description

### template<class Comp>
class CoinSearchTree< Comp >

Definition at line 331 of file CoinSearchTree.hpp.

## Constructor & Destructor Documentation

template<class Comp >

CoinSearchTree< Comp >::CoinSearchTree | ( |  | ) |
| inline

Definition at line 382 of file CoinSearchTree.hpp.

template<class Comp >

CoinSearchTree< Comp >::CoinSearchTree | ( | const CoinSearchTreeBase & | t | ) |
| inline

Definition at line 383 of file CoinSearchTree.hpp.

template<class Comp >

virtual CoinSearchTree< Comp >::~CoinSearchTree | ( |  | ) |
| inline virtual

Definition at line 390 of file CoinSearchTree.hpp.

## Member Function Documentation

template<class Comp >

virtual void CoinSearchTree< Comp >::realpop | ( |  | ) |
| inline protected virtual

Implements CoinSearchTreeBase.

Definition at line 337 of file CoinSearchTree.hpp.

template<class Comp >

virtual void CoinSearchTree< Comp >::fixTop | ( |  | ) |
| inline protected virtual

After changing data in the top node, fix the heap.

Implements CoinSearchTreeBase.

Definition at line 343 of file CoinSearchTree.hpp.

template<class Comp >

virtual void CoinSearchTree< Comp >::realpush | ( | CoinTreeSiblings * | s | ) |
| inline protected virtual

Implements CoinSearchTreeBase.

Definition at line 367 of file CoinSearchTree.hpp.

template<class Comp >

const char* CoinSearchTree< Comp >::compName | ( |  | ) | const
| inline virtual

Implements CoinSearchTreeBase.

Definition at line 391 of file CoinSearchTree.hpp.

## Member Data Documentation

template<class Comp >

Comp CoinSearchTree< Comp >::comp_
| private

Definition at line 334 of file CoinSearchTree.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cgl-0.59.7/CoinUtils/src/CoinSearchTree.hpp